Bug 23658 - [18.11] WrongTransfer modal drops off specified checkin date on returns.pl
Summary: [18.11] WrongTransfer modal drops off specified checkin date on returns.pl
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 18.11
Hardware: All All
: P5 - low normal (vote)
Assignee: Liz Rea (ByWater)
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-20 18:00 UTC by Liz Rea
Modified: 2019-11-06 17:03 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 23658: fix wrong transfer modal dropping specified checkin date (2.33 KB, patch)
2019-09-20 18:05 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 23658: fix wrong transfer modal dropping specified checkin date (2.39 KB, patch)
2019-09-30 14:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23658: fix wrong transfer modal dropping specified checkin date (2.45 KB, patch)
2019-10-29 11:16 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2019-09-20 18:00:07 UTC
To replicate: 

    Have an item that needs a transfer
    use the check in page, and backdate the checkin date
    check in the item, click ok or print - backdating is OK
    Check it in again - backdating drops off
Comment 1 Liz Rea 2019-09-20 18:05:31 UTC
Created attachment 93016 [details] [review]
Bug 23658: fix wrong transfer modal dropping specified checkin date

To test:

Have an item that needs a transfer
use the check in page, and backdate the checkin date
check in the item, click ok or print - backdating is OK
Check it in again - backdating drops off
Apply this patch, restart the things
run tests again, backdating should be retained in all cases.
Comment 2 Liz Rea 2019-09-20 19:08:55 UTC
Note that this is 18.11 only.
Comment 3 Katrin Fischer 2019-09-30 14:01:42 UTC
Created attachment 93262 [details] [review]
Bug 23658: fix wrong transfer modal dropping specified checkin date

To test:

Have an item that needs a transfer
use the check in page, and backdate the checkin date
check in the item, click ok or print - backdating is OK
Check it in again - backdating drops off
Apply this patch, restart the things
run tests again, backdating should be retained in all cases.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-10-29 11:16:10 UTC
Created attachment 94825 [details] [review]
Bug 23658: fix wrong transfer modal dropping specified checkin date

To test:

Have an item that needs a transfer
use the check in page, and backdate the checkin date
check in the item, click ok or print - backdating is OK
Check it in again - backdating drops off
Apply this patch, restart the things
run tests again, backdating should be retained in all cases.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-10-29 11:16:26 UTC
Passing QA
Comment 6 Lucas Gass 2019-11-06 17:03:37 UTC
backported to 18.11.x for 18.11.11